package com.donglan.BYWeApp.controller;

import com.donglan.BYWeApp.common.PageResult;
import com.donglan.BYWeApp.common.Result;
import com.donglan.BYWeApp.entity.IntegralDetails;
import com.donglan.BYWeApp.entity.User;
import com.donglan.BYWeApp.service.IntegralDetailsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author shj
 * @date 2021/5/14 2:34 下午
 */
@RestController
@RequestMapping("/integralDetails")
public class IntegralDetailsController {

    @Autowired
    private IntegralDetailsService integralDetailsService;

    @RequestMapping(value = "/search/{page}/{size}",method = RequestMethod.GET)
    public Result getIntegralDetailsByUserId(@PathVariable Integer page,@PathVariable Integer size,@RequestBody IntegralDetails integralDetails){
        Page<IntegralDetails> integralDetailsPage = integralDetailsService.searchByUserId(page, size, integralDetails);
        return Result.success(new PageResult<>(integralDetailsPage.getTotalPages(),integralDetailsPage.getContent()));
    }
}
