package com.donglan.BYWeApp.dao;

import com.donglan.BYWeApp.entity.Activity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.Date;
import java.util.List;

public interface ActivityDao extends JpaRepository<Activity,Long>, JpaSpecificationExecutor<Activity> {
    public List<Activity> findAllByTypeAndStartTimeBeforeAndEndTimeAfterAndState(String type, Date date1,Date date2,Boolean active);

}
