package com.donglan.BYWeApp.dao;

import com.donglan.BYWeApp.entity.ReserveOrder;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.Date;

public interface ReserveOrderDao extends JpaRepository<ReserveOrder,Long>, JpaSpecificationExecutor<ReserveOrder> {
    public ReserveOrder findFirstByCarPlateAndStateAndReserveDateBefore(String carPlate, Integer state, Date date);

    public Page<ReserveOrder> findByUserId(Long userId, Pageable pageable);

    public Page<ReserveOrder> findByUserIdAndReserveDateGreaterThanEqualAndState(Long userId,Date now,Integer state,Pageable pageable);
}
