package com.donglan.BYWeApp.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Id;

/**
 * @author shj
 * @date 2021/6/23 4:29 下午
 */
@Data
@Entity
@EntityListeners(AuditingEntityListener.class)
@DynamicInsert
public class WebResource {
    @Id
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    //资源类型
    private String type;

    //内容类型
    private String contentType;

    private String url;

    private String swiperImage;

    private String detailImage;

}
