package com.donglan.BYWeApp.exceptions;

import lombok.Data;

/**
 * @author shj
 * @date 2021/5/11 3:36 下午
 */
@Data
public class BaseException extends RuntimeException {

    protected Integer code;

    protected String message;

    protected Object data;

    public BaseException(Integer code,String message,Object data){
        super();
        this.code = code;
        this.message = message;
        this.data = data;
    }

    public BaseException(Integer code, String message) {
        super();
        this.code = code;
        this.message = message;
    }
}
