package com.donglan.BYWeApp.service;

import com.donglan.BYWeApp.dao.StationDao;
import com.donglan.BYWeApp.entity.Station;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author shj
 * @date 2021/5/14 4:42 下午
 */
@Service
public class StationService {

    @Autowired
    private StationDao stationDao;

    public List<Station> list() {
        return stationDao.findAll();
    }

    public Page<Station> list(Integer page, Integer size) {
        Pageable pageable = PageRequest.of(page-1,size);
        return stationDao.findAll(pageable);
    }
}
