package com.donglan.BYWeApp.common;

/**
 * @author shj
 * @date 2019-10-10 13:32
 */
import java.util.List;

public class PageResult <T> {
    private long total;
    private List<T> rows;
    private long totalPages;

    public PageResult() {
    }

    public PageResult(long total, List<T> rows) {
        this.total = total;
        this.rows = rows;
    }

    public PageResult(long total, List<T> rows, long totalPages) {
        this.total = total;
        this.rows = rows;
        this.totalPages = totalPages;
    }

    public long getTotalPages() {
        return totalPages;
    }

    public void setTotalPages(long totalPages) {
        this.totalPages = totalPages;
    }

    public long getTotal() {
        return total;
    }

    public void setTotal(long total) {
        this.total = total;
    }

    public List<T> getRows() {
        return rows;
    }

    public void setRows(List<T> rows) {
        this.rows = rows;
    }
}

