package com.donglan.BYWeApp.dao;

import com.donglan.BYWeApp.entity.Dict;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;

import java.util.List;

public interface DictDao extends JpaRepository<Dict,Long>, JpaSpecificationExecutor<Dict> {
    public List<Dict> findAllByType(String type);

    public Dict findByTypeAndCode(String type,String code);
}
