package com.donglan.BYWeApp.modules.activity;

import java.util.Date;
import java.util.Map;

/**
 * @author shj
 * @date 2021/6/10 9:35 上午
 */
public abstract class Activity {
    private Date startTime;
    private Date endTime;
    private String content;
    public abstract void run(Map<String,Object> map);

    public Activity(Date startTime, Date endTime, String content) {
        this.startTime = startTime;
        this.endTime = endTime;
        this.content = content;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
